package com.robot.remote.smartrobotremote.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 设备对象 biz_device
 * 
 * @author slibra
 * @date 2024-09-26
 */

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BizDevice
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long deviceId;

    /** $column.columnComment */
    private String deviceNo;

    /** $column.columnComment */
    private String deviceName;

    /** $column.columnComment */
    private String deviceSn;

    /** $column.columnComment */
    private String deviceModel;

    /** $column.columnComment */
    private String deviceMaker;

    /** $column.columnComment */
    private Long deviceWorks;

    /** $column.columnComment */
    private String deviceMaintainer;

    /** $column.columnComment */
    private String deviceTel;

    /** $column.columnComment */
    private String deviceType;

    /** $column.columnComment */
    private String deviceStatus;

    /** $column.columnComment */
    private String assayStatus;

    /** $column.columnComment */
    private Date assayTime;

    /** $column.columnComment */
    private Date repairTime;

    /** $column.columnComment */
    private String repairBy;

    /** 故障代码 */
    private String faultCode;

    /** 结果续传文件名 */
    private String deviceXujieJieguo;

    /** 报警续传文件名 */
    private String deviceXujieBaojing;

    /** $column.columnComment */
    private String deviceProvince;

    /** $column.columnComment */
    private String deviceCity;

    /** $column.columnComment */
    private String deviceArea;

    /** $column.columnComment */
    private String deviceLongitude;

    /** $column.columnComment */
    private String deviceLatitude;

    /** $column.columnComment */
    private String deviceAddress;

    /** 设备类型(1:化验室，2：连续检测) */
    private String type;
}
